Subject: [nmrg] Alignment between the 2 drafts: New Version Notification for draft-li-nmrg-intent-classification-02.txt

From: Olga Havel <[email-masked]>
Date: Fri, 6 Dec 2019 14:05:27 +0000

Hi Alex,

As you already know from the emails sent to the group, there has been few questions about alignment of two drafts. I have not been involved in intent classification draft from the beginning, but was told that 2 drafts were agreed with chairs in previous meetings and that your draft is about concepts and overview and our draft is about intent classification. I also did not encounter any questions / issues about the overlap between the two drafts at f2f meeting in Rome and the comments we received for v1 prior to the last week have not been related to this.

But as it seems that there are still open questions, I think we need to align between us. The following are some of my suggestions, please let me know your opinion.

-          You draft owns intent definition & terminology and general overview – our future versions (03 +) would be fully aligned

-          Our draft owns intent classification, focusing on what solutions, intent users, intent types and categories we consider in scope – intent definition (04+) would encompass all solutions, users, intent types and categories

-          We need other drafts for architecture (including intent translation) and intent DSLs, these are out of scope for the current drafts and the current adoption.

Any comments from others are welcome, especially from Chairs.

Best Regards,
Olga